;(function ($, popup) {
	$(function () {
		var plugin = popup.editor.plugins.DispletListing;
		var $form = $('#edit_form');
		var type = plugin._current.type;
		var orientation = false;
		var order;
		//var $orientation = $(':input[name=orientation]', $form);

		$.each(plugin._current.attrs, function (i, v) {
			if (this.name === 'order') {
				order = this.value;
			}
		});

		// populate the form from shortcode attributes
		var sort_by = '';
		var sort_direction = '';
		$.each(plugin._current.attrs, function (i, v) {
			var field_to_populate = '[name="criteria[' + this.name + ']"]';
			switch (this.name) {
				case 'property_type':
				case 'status':
				case 'area_mls_defined':
				case 'city':
				case 'school_district':
					var $el = $(field_to_populate, $form);
					var values_array = this.value.split(',');
					$el.val(values_array);
					break;

				case 'sort_by':
					sort_by = this.value;
					if (sort_direction != '') {
						var $el = $('[name="criteria[sort]"]', $form);
						if (this.value == 'list_price') {
							var value_start = 'list-price-';
						}
						else if (this.value == 'list_date'){
							var value_start = 'date-';
						}
						if (value_start != undefined) {
							var value = value_start + sort_direction + 'ending';
							$el.val(value);
						}
					}
					break;

				case 'direction':
					sort_direction = this.value;;
					if (sort_by != '') {
						var $el = $('[name="criteria[sort]"]', $form);
						if (sort_by == 'list_price') {
							var value_start = 'list-price-';
						}
						else if (sort_by == 'list_date'){
							var value_start = 'date-';
						}
						if (value_start != undefined) {
							var value = value_start + this.value + 'ending';
							$el.val(value);
						}
					}
					break;	

				default:
					var $el = $(field_to_populate, $form);
					if ($el.attr('type') === 'text') {
						$el.val(this.value);
					}
					else {
						$el.val([this.value]);
					}
					break;
			}
		});

		$form.submit(function () {
			var $this = $(this);
			var shortcode_name = 'DispletListing';
			var data = $this.serializeArray();
			var data_filtered = [];
			var attrs = '';

			$.each(data, function () {
				this.name = this.name.replace('criteria[', '').replace(']', '');
				if (this.name === 'sort') {
					if (this.value === 'price-descending') {
						data_filtered.push({
							'name': 'sort_by',
							'value': 'list_price'
						});
						
						data_filtered.push({
							'name': 'direction',
							'value': 'desc'
						});
					}
					else if (this.value === 'price-ascending') {
						data_filtered.push({
							'name': 'sort_by',
							'value': 'list_price'
						});
						
						data_filtered.push({
							'name': 'direction',
							'value': 'asc'
						});
					}
					else if (this.value === 'date-descending') {
						data_filtered.push({
							'name': 'sort_by',
							'value': 'list_date'
						});
						
						data_filtered.push({
							'name': 'direction',
							'value': 'desc'
						});
					}
					else if (this.value === 'date-ascending') {
						data_filtered.push({
							'name': 'sort_by',
							'value': 'list_date'
						});
						
						data_filtered.push({
							'name': 'direction',
							'value': 'asc'
						});
					}
				}
				else if (this.value !== '') {
					attrs += this.name + '="' + this.value + '" ';

					data_filtered.push({'name': this.name, 'value': this.value});
				}
			});
			//console.info(shortcode_name);

			plugin._searches[plugin._current.index] = data_filtered;

			//console.info('Doing mceInsertRawHTML from an insert dialog.');

			//console.dir(plugin._current);
			var index = plugin._current.index;

			//console.info('Doing mceInsertHTML from an insert dialog (with a placeholder).');
			popup.editor.execCommand('mceInsertContent',
				false,
				'<img id="' + shortcode_name.toLowerCase()
					+ '-' + index + '" src="' + plugin._url
					+ '/images/button_insert_large.png" class="mceItem ' +
					shortcode_name.toLowerCase() + '"/>');
			popup.editor.execCommand('mceRepaint');
			/*
			popup.editor.execCommand('mceInsertContent',
				false,
				'[' + shortcode_name + ' ' + attrs + ']');
			popup.editor.execCommand('mceRepaint');
			*/
			popup.close();
		});

		$('button#cancel').click(function () {
			popup.close();
		});

		$('.ui-tabs').tabs();
	});
})(jQuery, tinyMCEPopup);