<?php

/**
 * Define our settings sections
 *
 * array key=$id, array value=$title in: add_settings_section( $id, $title, $callback, $page );
 * @return array
 */
function displetretsidx_option_page_sections() {
	$displetretsidx_option = DispletRetsIdxSettingsController::get_option();

	$sections = array();
	$sections['general-start-tab']			= __('General', 'displet_textdomain');
	if (!empty($displetretsidx_option['displet_app_key'])) {
		$sections['license']				= __('License', 'displet_textdomain');
	}
	else{
		$sections['upgrade']				= __('Upgrade Account', 'displet_textdomain');
	}
	$sections['general']					= __('General', 'displet_textdomain');
	if (empty($displetretsidx_option['displet_app_key'])) {
		$sections['market']					= __('Market', 'displet_textdomain');
	}
	$sections['disclaimer']					= __('Disclaimer', 'displet_textdomain');
	$sections['general-end-tab']			= __('', 'displet_textdomain');
	$sections['quick-start-start-tab']		= __('Quick Start', 'displet_textdomain');
	$sections['quick-start']				= __('Create Pages', 'displet_textdomain');
	$sections['quick-start-end-tab']		= __('', 'displet_textdomain');
	$sections['email-start-tab']			= __('Email', 'displet_textdomain');
	$sections['email']						= __('Email To/From', 'displet_textdomain');
	$sections['duty-agent']					= __('Duty Agent', 'displet_textdomain');
	$sections['property-suggestions']		= __('Property Suggestions', 'displet_textdomain');
	$sections['email-activity']				= __('Email Activity', 'displet_textdomain');
	$sections['email-templates']			= __('Email Templates', 'displet_textdomain');
	$sections['email-end-tab']				= __('', 'displet_textdomain');
	$sections['listings-start-tab'] 		= __('Multiple Listings', 'displet_textdomain');
	$sections['listings']					= __('Display', 'displet_textdomain');
	$sections['listings-fields']			= __('Additional Fields', 'displet_textdomain');
	$sections['property-type-navigation']	= __('Property Type Navigation', 'displet_textdomain');
	$sections['price-navigation']			= __('Price Navigation', 'displet_textdomain');
	$sections['statistics']					= __('Statistics', 'displet_textdomain');
	$sections['listings-end-tab']			= __('', 'displet_textdomain');
	$sections['pdp-start-tab']				= __('Individual Listing', 'displet_textdomain');
	$sections['property-details']			= __('Single Listing Details', 'displet_textdomain');
	$sections['pdp-fields']					= __('Additional Fields', 'displet_textdomain');
	$sections['pdp-field-options']			= __('Field Options', 'displet_textdomain');
	$sections['pdp-photos']					= __('Photos', 'displet_textdomain');
	$sections['showing-request']			= __('Showing Request', 'displet_textdomain');
	$sections['pdp-end-tab']				= __('', 'displet_textdomain');
	$sections['search-start-tab']			= __('Search', 'displet_textdomain');
	$sections['search-results']				= __('Search Results', 'displet_textdomain');
	$sections['search-values']				= __('Search Field Values', 'displet_textdomain');
	$sections['search-end-tab']				= __('', 'displet_textdomain');
	$sections['registration-start-tab']		= __('Login/Registration', 'displet_textdomain');
	$sections['registration-settings']		= __('Registration Settings', 'displet_textdomain');
	$sections['registration-form']			= __('Registration Form', 'displet_textdomain');
	$sections['login-form']					= __('Login Form', 'displet_textdomain');
	$sections['registration-end-tab']		= __('', 'displet_textdomain');
	$sections['advanced-start-tab']			= __('Advanced', 'displet_textdomain');
	$sections['listings-format']			= __('Address Format', 'displet_textdomain');
	$sections['property-filter']			= __('Property Filter', 'displet_textdomain');
	$sections['social-logins']				= __('Social Logins', 'displet_textdomain');
	$sections['crm']						= __('CRM / Automated Task Integration', 'displet_textdomain');
	$sections['mobile']						= __('Mobile', 'displet_textdomain');
	$sections['misc']						= __('Miscellaneous', 'displet_textdomain');
	$sections['advanced-end-tab']			= __('', 'displet_textdomain');
	return $sections;
}

/**
 * Define our form fields (settings)
 *
 * @return array
 */
function displetretsidx_option_page_fields() {
	DispletRetsIdxSettingsController::maybe_take_action_from_settings_update();
	$displetretsidx_option = DispletRetsIdxSettingsController::get_option();
	$displetretsidx_action_option = DispletRetsIdxSettingsController::get_option('action');
	$displetretsidx_field_option = DispletRetsIdxSettingsController::get_option('fields');

	// Arrays for dropdown options
	$regions_array = array(
		__('United States','displet_textdomain') . "|usa",
		__('Canada','displet_textdomain') . "|canada",
		__('Abilene, TX','displet_textdomain') . "|abilene",
		__('Albany, NY','displet_textdomain') . "|albany",
		__('Albany, GA','displet_textdomain') . "|albanyga",
		__('Albuquerque, NM','displet_textdomain') . "|albuquerque",
		__('Alexandria, LA','displet_textdomain') . "|alexandriala",
		__('Allentown, PA','displet_textdomain') . "|allentown",
		__('Altoona, PA','displet_textdomain') . "|altoona",
		__('Amarillo, TX','displet_textdomain') . "|amarillo",
		__('Anchorage, AK','displet_textdomain') . "|anchorage",
		__('Anniston, AL','displet_textdomain') . "|annistonal",
		__('Appleton, WI','displet_textdomain') . "|appleton",
		__('Asheville, NC','displet_textdomain') . "|asheville",
		__('Athens, GA','displet_textdomain') . "|athensga",
		__('Atlanta, GA','displet_textdomain') . "|atlanta",
		__('Atlantic City, NJ','displet_textdomain') . "|atlanticcity",
		__('Auburn, AL','displet_textdomain') . "|auburn",
		__('Augusta, GA','displet_textdomain') . "|augusta",
		__('Austin, TX','displet_textdomain') . "|austin",
		__('Bakersfield, CA','displet_textdomain') . "|bakersfield",
		__('Baltimore, MD','displet_textdomain') . "|baltimore",
		__('Bangor, ME','displet_textdomain') . "|bangorme",
		__('Barnstable, MA','displet_textdomain') . "|barnstablema",
		__('Baton Rouge, LA','displet_textdomain') . "|batonrouge",
		__('Beaumont, TX','displet_textdomain') . "|beaumont",
		__('Bellingham, WA','displet_textdomain') . "|bellingham",
		__('Benton Harbor, MI','displet_textdomain') . "|bentonharbor",
		__('Billings, MT','displet_textdomain') . "|billings",
		__('Biloxi, MS','displet_textdomain') . "|biloxi",
		__('Binghamton, NY','displet_textdomain') . "|binghamton",
		__('Birmingham, AL','displet_textdomain') . "|birmingham",
		__('Bismarck, ND','displet_textdomain') . "|bismarck",
		__('Bloomington, IL','displet_textdomain') . "|bloomington",
		__('Bloomington, IN','displet_textdomain') . "|bloomingtonin",
		__('Boise, ID','displet_textdomain') . "|boise",
		__('Boston, MA','displet_textdomain') . "|boston",
		__('Brownsville, TX','displet_textdomain') . "|brownsville",
		__('Bryan, TX','displet_textdomain') . "|bryantx",
		__('Buffalo, NY','displet_textdomain') . "|buffalo",
		__('Burlington, VT','displet_textdomain') . "|burlington",
		__('Canton, OH','displet_textdomain') . "|canton",
		__('Casper, WY','displet_textdomain') . "|casper",
		__('Cedar Rapids, IA','displet_textdomain') . "|cedarrapids",
		__('Champaign, IL','displet_textdomain') . "|champaign",
		__('Charleston, SC','displet_textdomain') . "|charleston",
		__('Charleston, WV','displet_textdomain') . "|charlestonwv",
		__('Charlotte, NC','displet_textdomain') . "|charlotte",
		__('Charlottesville, VA','displet_textdomain') . "|charlottesville",
		__('Chattanooga, TN','displet_textdomain') . "|chattanooga",
		__('Cheyenne, WY','displet_textdomain') . "|cheyenne",
		__('Chicago, IL','displet_textdomain') . "|chicago",
		__('Chico, CA','displet_textdomain') . "|chico",
		__('Cincinnati, OH','displet_textdomain') . "|cincinnati",
		__('Clarksville, TN','displet_textdomain') . "|clarksvilletn",
		__('Cleveland, OH','displet_textdomain') . "|cleveland",
		__('Colorado Springs, CO','displet_textdomain') . "|coloradosprings",
		__('Columbia, MO','displet_textdomain') . "|columbiamo",
		__('Columbia, SC','displet_textdomain') . "|columbia",
		__('Columbus, OH','displet_textdomain') . "|columbus",
		__('Columbus, GA','displet_textdomain') . "|columbusga",
		__('Corpus Christi, TX','displet_textdomain') . "|corpuschristi",
		__('Corvallis, OR','displet_textdomain') . "|corvallis",
		__('Cumberland, MD','displet_textdomain') . "|cumberland",
		__('Dallas, TX','displet_textdomain') . "|dallas",
		__('Danville, VA','displet_textdomain') . "|danvilleva",
		__('Davenport, IA','displet_textdomain') . "|davenport",
		__('Dayton, OH','displet_textdomain') . "|dayton",
		__('Daytona Beach, FL','displet_textdomain') . "|daytonabeach",
		__('Decatur, AL','displet_textdomain') . "|decatural",
		__('Decatur, IL','displet_textdomain') . "|decaturil",
		__('Denver, CO','displet_textdomain') . "|denver",
		__('Des Moines, IA','displet_textdomain') . "|desmoines",
		__('Detroit, MI','displet_textdomain') . "|detroit",
		__('Dothan, AL','displet_textdomain') . "|dothan",
		__('Dover, DE','displet_textdomain') . "|doverde",
		__('Dubuque, IA','displet_textdomain') . "|dubuque",
		__('Duluth, MN','displet_textdomain') . "|duluth",
		__('Eau Claire, WI','displet_textdomain') . "|eauclaire",
		__('El Paso, TX','displet_textdomain') . "|elpaso",
		__('Elkhart, IN','displet_textdomain') . "|elkhart",
		__('Elmira, NY','displet_textdomain') . "|elmira",
		__('Enid, OK','displet_textdomain') . "|enidok",
		__('Erie, PA','displet_textdomain') . "|erie",
		__('Eugene, OR','displet_textdomain') . "|eugene",
		__('Evansville, IN','displet_textdomain') . "|evansville",
		__('Fargo, ND','displet_textdomain') . "|fargo",
		__('Fayetteville, AR','displet_textdomain') . "|fayettevillear",
		__('Fayetteville, NC','displet_textdomain') . "|fayettevillenc",
		__('Flagstaff, AZ','displet_textdomain') . "|flagstaff",
		__('Florence, AL','displet_textdomain') . "|florenceal",
		__('Florence, SC','displet_textdomain') . "|florencesc",
		__('Fort Collins, CO','displet_textdomain') . "|fortcollins",
		__('Fort Myers, FL','displet_textdomain') . "|fortmyers",
		__('Fort Pierce, FL','displet_textdomain') . "|fortpierce",
		__('Fort Smith, AR','displet_textdomain') . "|fortsmith",
		__('Fort Walton Beach, FL','displet_textdomain') . "|ftwaltonbeach",
		__('Fort Wayne, IN','displet_textdomain') . "|fortwayne",
		__('Fresno, CA','displet_textdomain') . "|fresno",
		__('Gadsden, AL','displet_textdomain') . "|gadsden",
		__('Gainesville, FL','displet_textdomain') . "|gainesville",
		__('Glens Falls, NY','displet_textdomain') . "|glensfalls",
		__('Goldsboro, NC','displet_textdomain') . "|goldsboronc",
		__('Grand Forks, ND','displet_textdomain') . "|grandforks",
		__('Grand Junction, CO','displet_textdomain') . "|grandjunction",
		__('Grand Rapids, MI','displet_textdomain') . "|grandrapids",
		__('Great Falls, MT','displet_textdomain') . "|greatfalls",
		__('Green Bay, WI','displet_textdomain') . "|greenbay",
		__('Greensboro, NC','displet_textdomain') . "|greensboro",
		__('Greenville, NC','displet_textdomain') . "|greenvillenc",
		__('Greenville, SC','displet_textdomain') . "|greenville",
		__('Harrisburg, PA','displet_textdomain') . "|harrisburg",
		__('Hartford, CT','displet_textdomain') . "|hartford",
		__('Hattiesburg, MS','displet_textdomain') . "|hattiesburg",
		__('Hendersonville, NC','displet_textdomain') . "|hendersonville",
		__('Hickory, NC','displet_textdomain') . "|hickory",
		__('Honolulu, HI','displet_textdomain') . "|honolulu",
		__('Houma, LA','displet_textdomain') . "|houma",
		__('Houston, TX','displet_textdomain') . "|houston",
		__('Huntington, WV','displet_textdomain') . "|huntingtonwv",
		__('Huntsville, AL','displet_textdomain') . "|huntsville",
		__('Indianapolis, IN','displet_textdomain') . "|indianapolis",
		__('Iowa City, IA','displet_textdomain') . "|iowacity",
		__('Jackson, MI','displet_textdomain') . "|jacksonmi",
		__('Jackson, MS','displet_textdomain') . "|jackson",
		__('Jackson, TN','displet_textdomain') . "|jacksontn",
		__('Jacksonville, FL','displet_textdomain') . "|jacksonville",
		__('Jacksonville, NC','displet_textdomain') . "|jacksonvillenc",
		__('Jamestown, NY','displet_textdomain') . "|jamestownny",
		__('Janesville, WI','displet_textdomain') . "|janesville",
		__('Johnson City, TN','displet_textdomain') . "|johnsoncity",
		__('Johnstown, PA','displet_textdomain') . "|johnstown",
		__('Jonesboro, AR','displet_textdomain') . "|jonesboro",
		__('Joplin, MO','displet_textdomain') . "|joplin",
		__('Kalamazoo, MI','displet_textdomain') . "|kalamazoo",
		__('Kansas City, MO','displet_textdomain') . "|kc",
		__('Killeen, TX','displet_textdomain') . "|killeen",
		__('Knoxville, TN','displet_textdomain') . "|knoxville",
		__('Kokomo, IN','displet_textdomain') . "|kokomo",
		__('La Crosse, WI','displet_textdomain') . "|lacrosse",
		__('Lafayette, IN','displet_textdomain') . "|lafayettein",
		__('Lafayette, LA','displet_textdomain') . "|lafayettela",
		__('Lake Charles, LA','displet_textdomain') . "|lakecharles",
		__('Lakeland, FL','displet_textdomain') . "|lakeland",
		__('Lancaster, PA','displet_textdomain') . "|lancaster",
		__('Lansing, MI','displet_textdomain') . "|lansing",
		__('Laredo, TX','displet_textdomain') . "|laredo",
		__('Las Cruces, NM','displet_textdomain') . "|lascruces",
		__('Las Vegas, NV','displet_textdomain') . "|lasvegas",
		__('Lawrence, KS','displet_textdomain') . "|lawrenceks",
		__('Lawton, OK','displet_textdomain') . "|lawtonok",
		__('Lewiston, ME','displet_textdomain') . "|lewistonme",
		__('Lexington, KY','displet_textdomain') . "|lexington",
		__('Lima, OH','displet_textdomain') . "|lima",
		__('Lincoln, NE','displet_textdomain') . "|lincoln",
		__('Little Rock, AR','displet_textdomain') . "|littlerock",
		__('Longview, TX','displet_textdomain') . "|longviewtx",
		__('Los Angeles, CA','displet_textdomain') . "|la",
		__('Louisville, KY','displet_textdomain') . "|louisville",
		__('Lubbock, TX','displet_textdomain') . "|lubbock",
		__('Lynchburg, VA','displet_textdomain') . "|lynchburg",
		__('Macon, GA','displet_textdomain') . "|macon",
		__('Madison, WI','displet_textdomain') . "|madison",
		__('Manchester, NH','displet_textdomain') . "|manchesternh",
		__('Mansfield, OH','displet_textdomain') . "|mansfieldoh",
		__('McAllen, TX','displet_textdomain') . "|mcallen",
		__('Medford, OR','displet_textdomain') . "|medford",
		__('Melbourne, FL','displet_textdomain') . "|melbournefl",
		__('Memphis, TN','displet_textdomain') . "|memphis",
		__('Merced, CA','displet_textdomain') . "|merced",
		__('Meridian, MS','displet_textdomain') . "|meridian",
		__('Miami, FL','displet_textdomain') . "|miami",
		__('Milwaukee, WI','displet_textdomain') . "|milwaukee",
		__('Minneapolis, MN','displet_textdomain') . "|minneapolis",
		__('Missoula, MT','displet_textdomain') . "|missoula",
		__('Mobile, AL','displet_textdomain') . "|mobileal",
		__('Modesto, CA','displet_textdomain') . "|modesto",
		__('Monroe, LA','displet_textdomain') . "|monroela",
		__('Montgomery, AL','displet_textdomain') . "|montgomery",
		__('Muncie, IN','displet_textdomain') . "|muncie",
		__('Myrtle Beach, SC','displet_textdomain') . "|myrtlebeach",
		__('Naples, FL','displet_textdomain') . "|naples",
		__('Nashville, TN','displet_textdomain') . "|nashville",
		__('Natchez, MS','displet_textdomain') . "|natchez",
		__('New London, CT','displet_textdomain') . "|newlondon",
		__('New Orleans, LA','displet_textdomain') . "|neworleans",
		__('New York, NY','displet_textdomain') . "|ny",
		__('Newark, NJ','displet_textdomain') . "|newark",
		__('Norfolk, VA','displet_textdomain') . "|norfolk",
		__('Ocala, FL','displet_textdomain') . "|ocala",
		__('Odessa, TX','displet_textdomain') . "|odessa",
		__('Oklahoma City, OK','displet_textdomain') . "|oklahomacity",
		__('Omaha, NE','displet_textdomain') . "|omaha",
		__('Orlando, FL','displet_textdomain') . "|orlando",
		__('Owensboro, KY','displet_textdomain') . "|owensboro",
		__('Panama City, FL','displet_textdomain') . "|panamacity",
		__('Parkersburg, WV','displet_textdomain') . "|parkersburg",
		__('Pensacola, FL','displet_textdomain') . "|pensacola",
		__('Peoria, IL','displet_textdomain') . "|peoria",
		__('Philadelphia, PA','displet_textdomain') . "|philly",
		__('Phoenix, AZ','displet_textdomain') . "|phoenix",
		__('Pine Bluff, AR','displet_textdomain') . "|pinebluff",
		__('Pittsburgh, PA','displet_textdomain') . "|pittsburgh",
		__('Pittsfield, MA','displet_textdomain') . "|pittsfieldma",
		__('Pocatello, ID','displet_textdomain') . "|pocatello",
		__('Port Charlotte, FL','displet_textdomain') . "|portcharlotte",
		__('Portland, OR','displet_textdomain') . "|portland",
		__('Portland, ME','displet_textdomain') . "|portlandme",
		__('Providence, RI','displet_textdomain') . "|providence",
		__('Provo, UT','displet_textdomain') . "|provo",
		__('Pueblo, CO','displet_textdomain') . "|pueblo",
		__('Punta Gorda, FL','displet_textdomain') . "|puntagorda",
		__('Raleigh, NC','displet_textdomain') . "|raleigh",
		__('Rapid City, SD','displet_textdomain') . "|rapidcity",
		__('Reading, PA','displet_textdomain') . "|readingpa",
		__('Redding, CA','displet_textdomain') . "|redding",
		__('Reno, NV','displet_textdomain') . "|reno",
		__('Richland, WA','displet_textdomain') . "|richlandwa",
		__('Richmond, VA','displet_textdomain') . "|richmond",
		__('Roanoke, VA','displet_textdomain') . "|roanoke",
		__('Rochester, NY','displet_textdomain') . "|rochester",
		__('Rochester, MN','displet_textdomain') . "|rochestermn",
		__('Rockford, IL','displet_textdomain') . "|rockfordil",
		__('Rocky Mount, NC','displet_textdomain') . "|rockymount",
		__('Sacramento, CA','displet_textdomain') . "|sacramento",
		__('Saginaw, MI','displet_textdomain') . "|saginaw",
		__('Salinas, CA','displet_textdomain') . "|salinas",
		__('Salt Lake City, UT','displet_textdomain') . "|saltlakecity",
		__('San Angelo, TX','displet_textdomain') . "|sanangelo",
		__('San Antonio, TX','displet_textdomain') . "|sanantonio",
		__('San Diego, CA','displet_textdomain') . "|sandiego",
		__('San Francisco, CA','displet_textdomain') . "|sf",
		__('San Luis Obispo, CA','displet_textdomain') . "|sanluisobispo",
		__('Santa Barbara, CA','displet_textdomain') . "|santabarbara",
		__('Santa Fe, NM','displet_textdomain') . "|santafe",
		__('Sarasota, FL','displet_textdomain') . "|sarasota",
		__('Savannah, GA','displet_textdomain') . "|savannah",
		__('Scranton, PA','displet_textdomain') . "|scranton",
		__('Seattle, WA','displet_textdomain') . "|seattle",
		__('Sebring, FL','displet_textdomain') . "|sebring",
		__('Sharon, PA','displet_textdomain') . "|sharonpa",
		__('Sheboygan, WI','displet_textdomain') . "|sheboygan",
		__('Sherman, TX','displet_textdomain') . "|shermantx",
		__('Shreveport, LA','displet_textdomain') . "|shreveport",
		__('Sioux City, IA','displet_textdomain') . "|siouxcity",
		__('Sioux Falls, SD','displet_textdomain') . "|siouxfalls",
		__('South Bend, IN','displet_textdomain') . "|southbend",
		__('Spokane, WA','displet_textdomain') . "|spokane",
		__('Springfield, IL','displet_textdomain') . "|springfieldil",
		__('Springfield, MA','displet_textdomain') . "|springfieldma",
		__('Springfield, MO','displet_textdomain') . "|springfieldmo",
		__('St Louis, MO','displet_textdomain') . "|stlouis",
		__('St. Cloud, MN','displet_textdomain') . "|stcloud",
		__('St. Joseph, MO','displet_textdomain') . "|stjosephmo",
		__('State College, PA','displet_textdomain') . "|statecollege",
		__('Steubenville, OH','displet_textdomain') . "|steubenville",
		__('Stockton, CA','displet_textdomain') . "|stockton",
		__('Sumter, SC','displet_textdomain') . "|sumtersc",
		__('Syracuse, NY','displet_textdomain') . "|syracuse",
		__('Tallahassee, FL','displet_textdomain') . "|tallahassee",
		__('Tampa, FL','displet_textdomain') . "|tampa",
		__('Terre Haute, IN','displet_textdomain') . "|terrehaute",
		__('Texarkana, TX','displet_textdomain') . "|texarkana",
		__('The Villages, FL','displet_textdomain') . "|thevillages",
		__('Toccoa, GA','displet_textdomain') . "|toccoa",
		__('Toledo, OH','displet_textdomain') . "|toledo",
		__('Topeka, KS','displet_textdomain') . "|topeka",
		__('Trenton, NJ','displet_textdomain') . "|trenton",
		__('Tucson, AZ','displet_textdomain') . "|tucson",
		__('Tulsa, OK','displet_textdomain') . "|tulsa",
		__('Tuscaloosa, AL','displet_textdomain') . "|tuscaloosa",
		__('Tyler, TX','displet_textdomain') . "|tylertx",
		__('Utica, NY','displet_textdomain') . "|utica",
		__('Victoria, TX','displet_textdomain') . "|victoriatx",
		__('Visalia, CA','displet_textdomain') . "|visalia",
		__('Waco, TX','displet_textdomain') . "|waco",
		__('Washington, DC','displet_textdomain') . "|dc",
		__('Waterloo, IA','displet_textdomain') . "|waterlooia",
		__('Wausau, WI','displet_textdomain') . "|wausau",
		__('West Palm Beach, FL','displet_textdomain') . "|westpalmbeach",
		__('Wheeling-Steubenville, WV','displet_textdomain') . "|wheeling",
		__('Wichita, KS','displet_textdomain') . "|wichita",
		__('Wichita Falls, TX','displet_textdomain') . "|wichitafallstx",
		__('Williamsport, PA','displet_textdomain') . "|williamsportpa",
		__('Wilmington, NC','displet_textdomain') . "|wilmington",
		__('Winston-Salem, NC','displet_textdomain') . "|winstonsalem",
		__('Winter Haven, FL','displet_textdomain') . "|winterhaven",
		__('Woodbridge, VA','displet_textdomain') . "|woodbridge",
		__('Yakima, WA','displet_textdomain') . "|yakima",
		__('York, PA','displet_textdomain') . "|yorkpa",
		__('Youngstown, OH','displet_textdomain') . "|youngstown",
		__('Yuba City, CA','displet_textdomain') . "|yubacity",
		__('Yuma, AZ','displet_textdomain') . "|yuma",
		__('Abbotsford','displet_textdomain') . "|abbotsford",
		__('Barrie','displet_textdomain') . "|barrie",
		__('Brantford','displet_textdomain') . "|brantford",
		__('Calgary','displet_textdomain') . "|calgary",
		__('Charlottetown','displet_textdomain') . "|charlottetown",
		__('Chatham-Kent','displet_textdomain') . "|chathamkent",
		__('Edmonton','displet_textdomain') . "|edmonton",
		__('Guelph','displet_textdomain') . "|guelph",
		__('Halifax','displet_textdomain') . "|halifaxns",
		__('Hamilton','displet_textdomain') . "|hamilton",
		__('Iqaluit','displet_textdomain') . "|iqaluit",
		__('Kelowna','displet_textdomain') . "|kelowna",
		__('Kingston','displet_textdomain') . "|kingstonon",
		__('Kitchener','displet_textdomain') . "|kitchener",
		__('London, ON','displet_textdomain') . "|londonon",
		__('Moncton','displet_textdomain') . "|moncton",
		__('Montreal','displet_textdomain') . "|montreal",
		__('Oshawa','displet_textdomain') . "|oshawa",
		__('Ottawa-Gatineau','displet_textdomain') . "|ottawa",
		__('Peterborough','displet_textdomain') . "|peterboroughcan",
		__('Quebec City','displet_textdomain') . "|quebec",
		__('Regina','displet_textdomain') . "|regina",
		__('Saguenay','displet_textdomain') . "|saguenay",
		__('Saint John','displet_textdomain') . "|saintjohn",
		__('Saskatoon','displet_textdomain') . "|saskatoon",
		__('Sherbrooke','displet_textdomain') . "|sherbrooke",
		__('St. Catharines-Niagara','displet_textdomain') . "|niagara",
		__('St. John\'s','displet_textdomain') . "|stjohns",
		__('Sudbury','displet_textdomain') . "|sudbury",
		__('Thunder Bay','displet_textdomain') . "|thunderbay",
		__('Toronto','displet_textdomain') . "|toronto",
		__('Trois-Rivieres','displet_textdomain') . "|troisrivieres",
		__('Vancouver','displet_textdomain') . "|vancouver",
		__('Victoria','displet_textdomain') . "|victoria",
		__('Whitehorse','displet_textdomain') . "|whitehorse",
		__('Windsor','displet_textdomain') . "|windsor",
		__('Winnipeg','displet_textdomain') . "|winnipeg",
		__('Yellowknife','displet_textdomain') . "|yellowknife"
	);

	$categories_array = array(
		__('Property For Sale','displet_textdomain') . "|housing/sale",
		__('Property For Lease','displet_textdomain') . "|housing/rent"
	);

	$pages_array = array();
	$pages = get_pages();
	foreach ($pages as $page) {
		$pages_array[] = $page->post_title . '|' . $page->ID;
	}
	$default_page = get_page_by_path('rets');

	$quick_start_parent_pages = array(
		__('Default/New Page','displet_textdomain') . "|new",
		__('No Parent','displet_textdomain') . "|none"
	);
	$quick_start_parent_pages = array_merge($quick_start_parent_pages, $pages_array);

	$quick_start_parent_menus = array(
		__('Default/New Menu','displet_textdomain') . "|new",
		__('No Menu','displet_textdomain') . "|none"
	);
	$menus = wp_get_nav_menus(array(
		'orderby' => 'name'
	));
	foreach ($menus as $menu) {
		$quick_start_parent_menus[] = $menu->name . '|' . $menu->term_id;
	}

	// Get available property types
	if (!empty($displetretsidx_field_option['property_type'])) {
		foreach ($displetretsidx_field_option['property_type'] as $property_type) {
			$property_types_array[] = __($property_type,'displet_textdomain') . "|" . $property_type;
		}
	}
	if (empty($property_types_array)){
		$property_types_array = array(__('House','displet_textdomain') . "|House", __('Condo','displet_textdomain') . "|Condo", __('Lease','displet_textdomain') . "|Lease", __('Land','displet_textdomain') . "|Land", __('Multi','displet_textdomain') . "|Multi", __('Ranch','displet_textdomain') . "|Ranch");
	}

	if (!empty($displetretsidx_field_option['city'])) {
		foreach ($displetretsidx_field_option['city'] as $city) {
			$cities_array[] = __($city,'displet_textdomain') . "|" . $city;
		}
	}
	if (empty($cities_array)) {
		$cities_array = array();
	}

	// Get admin & agent users
	global $displetretsidx_admin_users_array;
	if ( empty( $displetretsidx_admin_users_array ) ) {
		$displetretsidx_admin_users_array = get_users(array('role' => 'administrator'));
	}
	$admin_users_array = $displetretsidx_admin_users_array;
	global $displetretsidx_agent_users_array;
	if ( empty( $displetretsidx_agent_users_array ) ) {
		$displetretsidx_agent_users_array = get_users(array('role' => 'displet_agent'));
	}
	$agent_users_array = $displetretsidx_agent_users_array;
	$users_array = array();
	if (!empty($admin_users_array)) {
		foreach ($admin_users_array as $user) {
			$users_array[] = __($user->display_name,'displet_textdomain') . "|" . $user->ID;
		}
	}
	if (!empty($agent_users_array)) {
		foreach ($agent_users_array as $user) {
			$users_array[] = __($user->display_name,'displet_textdomain') . "|" . $user->ID;
		}
	}

	// App key section
	$options[] = array(
		"section" => "license",
		"id"      => "displet_app_key",
		"title"   => __( 'Displet 2.0 RETS/IDX API Key', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "",
		"class"   => "nohtml",
		"auth"	  => $displetretsidx_action_option['authenticated_url']
	);

	$options[] = array(
		"section" => "license",
		"id"      => "displet_app_token",
		"title"   => __( 'Displet 2.0 RETS/IDX API Password', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "password",
		//"std"     => "",
		"class"   => "nohtml"
	);

	// General section
	$options[] = array(
		"section" => "general",
		"id"      => "color_scheme",
		"title"   => __( 'Color Scheme', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"    => "default",
		"choices" => array( __('Default','displet_textdomain') . "|default", __('Black','displet_textdomain') . "|black", __('Blue','displet_textdomain') . "|blue", __('Brown','displet_textdomain') . "|brown", __('Green','displet_textdomain') . "|green", __('Red','displet_textdomain') . "|red", __('Yellow','displet_textdomain') . "|yellow")
	);

	$options[] = array(
		"section" => "general",
		"id"      => "phone",
		"title"   => __( 'Phone Number', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "nohtml"
	);

	// Market
	$options[] = array(
		"section" => "market",
		"id"      => "oodle_region",
		"title"   => __( 'Default Region', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"    => "usa",
		"choices" => $regions_array
	);

	$options[] = array(
		"section" => "market",
		"id"      => "oodle_category",
		"title"   => __( 'Default Category', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"    => "housing/sale",
		"choices" => $categories_array
	);

	// Disclaimer
	$options[] = array(
		"section" => "disclaimer",
		"id"      => "disclaimer_image",
		"title"   => __( 'Disclaimer Image/Logo', 'displet_textdomain' ),
		"desc"    => __( 'Add a photo to the beginning of the disclaimer.', 'displet_textdomain' ),
		"type"    => "image",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "disclaimer",
		"id"      => "disclaimer",
		"title"   => __( 'Disclaimer', 'displet_textdomain' ),
		"desc"    => __( 'Appears beneath all listings. Available data: %%date_last_updated%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	// Upgrade section
	$options[] = array(
		"section" => "upgrade",
		"id"      => "displet_app_key",
		"title"   => __( 'Displet 2.0 RETS/IDX App Key', 'displet_textdomain' ),
		"desc"    => __( 'Upgrading to RETS/IDX data will get you complete & accurate listing data and enhanced functionality. You are currently using the free version, which has the best data that we can provide complimentary - <b>having RETS/IDX data instead offers more listings, more accurate information, more search and property detail fields, more and better photos, and more plugin features</b>.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "",
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "upgrade",
		"id"      => "displet_app_token",
		"title"   => __( 'Displet 2.0 RETS/IDX API Password', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "password",
		//"std"     => "",
		"class"   => "nohtml"
	);

	// Quick Start section
	$options[] = array(
		"section" => "quick-start",
		"id"      => "quick_start_type",
		"title"   => __( 'Type', 'displet_textdomain' ),
		"desc"    => __( 'The parameter that will be used for each value entered into Criteria below.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "zip",
		"choices" => array( __('Cities','displet_textdomain') . "|city", __('Zip Codes','displet_textdomain') . "|zip", __('Subdivisions','displet_textdomain') . "|subdivision", __('School Districts','displet_textdomain') . "|school_district", __('School Names','displet_textdomain') . "|school",)
	);

	$options[] = array(
		"section" => "quick-start",
		"id"      => "quick_start_criteria",
		"title"   => __( 'Criteria', 'displet_textdomain' ),
		"desc"    => __( '<b>Enter one per line. A new page will be created with listings for each entered</b>.<br>Ex. If Zip Codes is selected above, and 78701 is entered here, a page will be created with listings in zip code 78701.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "quick-start",
		"id"      => "quick_start_parent_page",
		"title"   => __( 'Parent Page', 'displet_textdomain' ),
		"desc"    => __( 'Assign each page from Criteria to this parent page.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "new",
		"choices" => $quick_start_parent_pages
	);

	$options[] = array(
		"section" => "quick-start",
		"id"      => "quick_start_parent_menu",
		"title"   => __( 'Add to Menu', 'displet_textdomain' ),
		"desc"    => __( 'Assign each page from Criteria to this menu.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "new",
		"choices" => $quick_start_parent_menus
	);

	// Email section
	$options[] = array(
		"section" => "email",
		"id"      => "email",
		"title"   => __( '"Send To:" Email Address', 'displet_textdomain' ),
		"desc"    => __( 'The email address(es) to receive all lead notifications. Separate multiple email addresses with commas.May be used in conjuction with a duty agent (both would receive notifications).', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __(get_bloginfo('admin_email'), 'displet_textdomain'),
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "email",
		"id"      => "email_from_address",
		"title"   => __( '"Send From:" Email Address', 'displet_textdomain' ),
		"desc"    => __( 'The sender\'s email address that email notifications are mailed from.If a lead is assigned to an agent (via Duty Agent or Lead Manager), this value no longer takes effect for that lead (except for saved search updates which always use this value).', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __(get_bloginfo('admin_email'),'displet_textdomain'),
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "email",
		"id"      => "email_from_name",
		"title"   => __( '"Send From:" Name', 'displet_textdomain' ),
		"desc"    => __( 'The sender\'s name to email notifications from. If a lead is assigned to an agent (via Duty Agent or Lead Manager), this setting no longer takes effect for that lead.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __(get_bloginfo('name'),'displet_textdomain'),
		"class"   => "nohtml"
	);

	// Duty Agent section
	$options[] = array(
		"section" => "duty-agent",
		"id"      => "duty_agent",
		"title"   => __( 'Duty Agent', 'displet_textdomain' ),
		"desc"    => __( 'Select the agents(s) that new leads should be assigned to. If multiple users are selected, lead assignation will rotate through each agent with each new lead. When a lead is assigned to an agent, inbound emails from the lead will go to the agent and outbound emails to the lead will come from the assigned agent. <a href="' . admin_url('user-new.php#role=displet_agent') . '">Create New Agents Here</a>', 'displet_textdomain' ),
		"type"    => "multi-checkbox",
		//"std"	  => "",
		"idx"     => true,
		"choices" => $users_array
	);

	$options[] = array(
		"section" => "duty-agent",
		"id"      => "duty_agent_use_listing_agent_email",
		"title"   => __( 'Assign To Listing Agent', 'displet_textdomain' ),
		"desc"    => __( 'Check to assign the listing agent as the duty agent (only when the listing agent\'s email exists as a user in WordPress). Requires the listing agent\'s email in your MLS\' RETS feed (most do not include this information).', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	// Property Suggestions section
	$options[] = array(
		"section" => "property-suggestions",
		"id"      => "use_property_suggestions",
		"title"   => __( 'Send Property Suggestions', 'displet_textdomain' ),
		"desc"    => __( 'Check to email listings to the user based on their viewing history and the criteria below.', 'displet_textdomain' ),
		"type"    => "checkbox",
		"idx"     => true
	);

	$options[] = array(
		"section" => "property-suggestions",
		"id"      => "property_suggestions_views_min",
		"title"   => __( 'Number of Property Views to Activate', 'displet_textdomain' ),
		"desc"    => __( 'Enter a whole number, 1 or higher', 'displet_textdomain' ),
		"type"    => "text",
		"class"   => "numeric",
		"min"	  => 1
	);

	$options[] = array(
		"section" => "property-suggestions",
		"id"      => "property_suggestions_zips_min",
		"title"   => __( 'Number of Property Views to Add Zip', 'displet_textdomain' ),
		"desc"    => __( 'Enter a whole number, 3 or higher', 'displet_textdomain' ),
		"type"    => "text",
		"class"   => "numeric",
		"min"	  => 3
	);

	$options[] = array(
		"section" => "property-suggestions",
		"id"      => "property_suggestions_price_variance",
		"title"   => __( 'Price Variance (+/- Median)', 'displet_textdomain' ),
		"desc"    => __( 'Enter a decimal, .25 or lower', 'displet_textdomain' ),
		"type"    => "text",
		"class"   => "numeric",
		"min"	  => .01,
		"max"	  => .25
	);

	$options[] = array(
		"section" => "property-suggestions",
		"id"      => "property_suggestions_square_footage_variance",
		"title"   => __( 'Square Footage Variance (+/- Median)', 'displet_textdomain' ),
		"desc"    => __( 'Enter a decimal, .25 or lower', 'displet_textdomain' ),
		"type"    => "text",
		"class"   => "numeric",
		"min"	  => .01,
		"max"	  => .25
	);

	// Email Activity section
	$options[] = array(
		"section" => "email-activity",
		"id"      => "email_activity",
		"title"   => __( 'Send Activity Report', 'displet_textdomain' ),
		"desc"    => __( 'Check to send a daily email containing a summary of recent user activity information to the "Send To" email address above.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	// Email Templates section
	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_signature",
		"title"   => __( 'Email Signature', 'displet_textdomain' ),
		"desc"    => __( 'Appears at the bottom of each outbound email to users and agents. Available data: %%site_name%% and %%site_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_new_registration_to_user",
		"title"   => __( 'New Registration, To User - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_has_realtor%%, %%user_username%%, %%site_name%%, %%site_url%%, and %%registration_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_new_registration_to_user",
		"title"   => __( 'New Registration, To User - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_has_realtor%%, %%user_username%%, %%user_password%%, %%site_name%%, %%site_url%%, and %%registration_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_new_registration_to_admin",
		"title"   => __( 'New Registration, To Agent - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_has_realtor%%, %%user_username%%, %%site_name%%, %%site_url%%, and %%registration_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_new_registration_to_admin",
		"title"   => __( 'New Registration, To Agent - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_has_realtor%%, %%user_username%%, %%site_name%%, %%site_url%%, and %%registration_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_property_showing_to_user",
		"title"   => __( 'Property Info/Showing, To User - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_appointment%%, %%user_appointment2%%, %%user_message%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_property_showing_to_user",
		"title"   => __( 'Property Info/Showing, To User - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_appointment%%, %%user_appointment2%%, %%user_message%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_property_showing_to_admin",
		"title"   => __( 'Property Info/Showing, To Agent - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_appointment%%, %%user_appointment2%%, %%user_message%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_property_showing_to_admin",
		"title"   => __( 'Property Info/Showing, To Agent - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%user_appointment%%, %%user_appointment2%%, %%user_message%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_email_friend_to_user",
		"title"   => __( 'Email To Friend, To Friend - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%% (equals "A Friend" if user isn\'t logged in), %%user_email%% (blank if user isn\'t logged in), %%user_message%%, %%friend_name%%, %%friend_email%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_email_friend_to_user",
		"title"   => __( 'Email To Friend, To Friend - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%% (equals "A Friend" if user isn\'t logged in), %%user_email%% (blank if user isn\'t logged in), %%user_message%%, %%friend_name%%, %%friend_email%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_email_friend_to_admin",
		"title"   => __( 'Email To Friend, To Agent - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%% (equals "A Friend" if user isn\'t logged in), %%user_email%% (blank if user isn\'t logged in), %%user_message%%, %%friend_name%%, %%friend_email%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_email_friend_to_admin",
		"title"   => __( 'Email To Friend, To Agent - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%% (equals "A Friend" if user isn\'t logged in), %%user_email%% (blank if user isn\'t logged in), %%user_message%%, %%friend_name%%, %%friend_email%%, %%property_address%%, %%property_url%%, %%site_name%%, and %%site_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_title_assigned_lead",
		"title"   => __( 'Newly Assigned Lead, To Agent - Title', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%site_name%%, %%site_url%% and %%leads_url%%', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain')
	);

	$options[] = array(
		"section" => "email-templates",
		"id"      => "email_template_assigned_lead",
		"title"   => __( 'Newly Assigned Lead, To Agent - Body', 'displet_textdomain' ),
		"desc"    => __( 'Available data: %%user_name%%, %%user_email%%, %%user_phone%%, %%site_name%%, %%site_url%% and %%leads_url%%', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain')
	);

	// Listings section
	$options[] = array(
		"section" => "listings",
		"id"      => "listings_layout",
		"title"   => __( 'Layout', 'displet_textdomain' ),
		"desc"    => __( 'The default layout of listings to be displayed.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "default",
		"choices" => array(__('Grouped by View (Gallery/List/Map)','displet_textdomain') . "|default", __('Grouped by Status (Table)','displet_textdomain') . "|table")
	);

	$options[] = array(
		"section" => "listings",
		"id"      => "listings_orientation",
		"title"   => __( 'View', 'displet_textdomain' ),
		"desc"    => __( 'The default view to be displayed on listings grouped by view. User\'s last choice (in their current browsing session) trumps this setting.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "gallery",
		"choices" => array(__('Gallery','displet_textdomain') . "|gallery", __('List','displet_textdomain') . "|list", __('Map','displet_textdomain') . "|map")
	);

	$options[] = array(
		"section" => "listings",
		"id"      => "listings_sort",
		"title"   => __( 'Sort', 'displet_textdomain' ),
		"desc"    => __( 'The default order of listings. User\'s last choice (in their current browsing session) trumps this setting.', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "price-descending",
		"choices" => array( __('Price - Low to High','displet_textdomain') . "|price-ascending", __('Price - High to Low','displet_textdomain') . "|price-descending",  __('List Date - Newest to Oldest','displet_textdomain') . "|list-date-descending", __('List Date - Oldest to Newest','displet_textdomain') . "|list-date-ascending")
	);

	$options[] = array(
		"section" => "listings",
		"id"      => "listings_per_page",
		"title"   => __( 'Listings Per Page', 'displet_textdomain' ),
		"desc"    => __( 'Enter a numeric value from 5-15.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "10",
		"class"   => "numeric",
		"min"	  => 5,
		"max"	  => 15
	);

	// Additional Listing Fields
	$options[] = array(
		"section" => "listings-fields",
		"id"      => "include_subdivision",
		"title"   => __( 'Show Subdivision', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the subdivision name on each listing.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "listings-fields",
		"id"      => "include_mls_number",
		"title"   => __( 'Show MLS Number', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the MLS number on each listing.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "listings-fields",
		"id"      => "include_listing_agent",
		"title"   => __( 'Show Listing Agent', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the listing agent\'s name on each listing.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "listings-fields",
		"id"      => "include_listing_office",
		"title"   => __( 'Show Listing Office', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the name of the listing office on each listing.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "listings-fields",
		"id"      => "include_disclaimer_image",
		"title"   => __( 'Show Disclaimer Image/Logo', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the disclaimer image/logo on each listing.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	// Property Type Navigation section
	$options[] = array(
		"section" => "property-type-navigation",
		"id"      => "include_property_type_navigation",
		"title"   => __( 'Show Property Type Navigation', 'displet_textdomain' ),
		"desc"    => __( 'Check to include property type navigation (on listings grouped by view only)', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "property-type-navigation",
		"id"      => "include_property_type_sorting",
		"title"   => __( 'Show Property Type Sorting', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	// Price Navigation section
	$options[] = array(
		"section" => "price-navigation",
		"id"      => "include_price_navigation",
		"title"   => __( 'Show Price Navigation', 'displet_textdomain' ),
		"desc"    => __( 'Check to include price navigation (on listings grouped by view only)', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	// Statistics section
	$options[] = array(
		"section" => "statistics",
		"id"      => "include_stats",
		"title"   => __( 'Show Statistics', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => "basic",
		"choices" => array( __('None','displet_textdomain') . "|no", __('Basic','displet_textdomain') . "|basic", __('Advanced','displet_textdomain') . "|advanced"),
		"idx"     => true,
	);

	// Property details section
	$options[] = array(
		"section" => "property-details",
		"id"      => "property_details_page_id",
		"title"   => __( 'Property Details Page', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => $default_page->ID,
		"choices" => $pages_array
	);

	// Additional Listing Fields
	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_subdivision_pdp",
		"title"   => __( 'Show Subdivision', 'displet_textdomain' ),
		"desc"    => __( 'Check to include the subdivision name in the header beneath the address (appears in details regardless of this setting).', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_listing_agent_pdp",
		"title"   => __( 'Show Listing Agent Name', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_listing_agent_id",
		"title"   => __( 'Show Listing Agent ID', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_listing_office_pdp",
		"title"   => __( 'Show Listing Office Name', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_listing_office_id",
		"title"   => __( 'Show Listing Office ID', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_list_date",
		"title"   => __( 'Show List Date', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_modified",
		"title"   => __( 'Show Modified Date', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_foreclosure",
		"title"   => __( 'Show Foreclosure', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_short_sale",
		"title"   => __( 'Show Short Sale', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_longitude",
		"title"   => __( 'Show Longitude', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_latitude",
		"title"   => __( 'Show Latitude', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_feed_image_trans_date",
		"title"   => __( 'Show Feed Image Trans Date', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_sysid",
		"title"   => __( 'Show Sysid', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	$options[] = array(
		"section" => "pdp-fields",
		"id"      => "include_price_per_square_feet",
		"title"   => __( 'Show Price Per Square Feet', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	// Field Options
	$options[] = array(
		"section" => "pdp-field-options",
		"id"      => "zip_label",
		"title"   => __( 'Zip Code Label', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => zip_code,
		"idx"     => true,
		"choices" => array('Zip|zip', 'Postal Code|postal_code')
	);

	// Photos section
	$options[] = array(
		"section" => "pdp-photos",
		"id"      => "pdp_force_full_width_photos",
		"title"   => __( 'Force Full Width Photos', 'displet_textdomain' ),
		"desc"    => __( 'Check to enlarge photos if necessary to display full width', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0,
	);

	// Request Showing section
	$options[] = array(
		"section" => "showing-request",
		"id"      => "showing_request_require_phone",
		"title"   => __( 'Require Phone', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1,
		"idx"     => true,
	);

	// Search Results section
	$options[] = array(
		"section" => "search-results",
		"id"      => "search_results_page_id",
		"title"   => __( 'Search Results Page', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		//"std"     => $default_page->ID,
		"choices" => $pages_array
	);

	// Search Values section
	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_property_types",
		"title"   => __( 'Property Types', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "multi-checkbox",
		//"std"	  => "",
		"choices" => $property_types_array
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_min_price",
		"title"   => __( 'Minimum Price', 'displet_textdomain' ),
		"desc"    => __( 'The price floor, in thousands. 100 = $100,000', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "100",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_max_price",
		"title"   => __( 'Maximum Price', 'displet_textdomain' ),
		"desc"    => __( 'The price ceiling, in thousands. 1000 = $1,000,000', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "1000",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_price_increment",
		"title"   => __( 'Price Increment', 'displet_textdomain' ),
		"desc"    => __( 'The increment the price should count by, in thousands. 50 = $50,000', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "50",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_custom_prices",
		"title"   => __( 'Custom Price Range', 'displet_textdomain' ),
		"desc"    => __( 'Enter one price in thousands per line. Supercedes price range above. 100 = $100,000', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => "50",
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_beds_min",
		"title"   => __( 'Minimum Bedrooms', 'displet_textdomain' ),
		"desc"    => __( 'The bedrooms floor', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "1",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_beds_max",
		"title"   => __( 'Maximum Bedrooms', 'displet_textdomain' ),
		"desc"    => __( 'The bedrooms ceiling', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "6",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_baths_min",
		"title"   => __( 'Minimum Bathrooms', 'displet_textdomain' ),
		"desc"    => __( 'The bathrooms floor', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "1",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_baths_max",
		"title"   => __( 'Maximum Bathrooms', 'displet_textdomain' ),
		"desc"    => __( 'The bathrooms ceiling', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "6",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_min_square_feet",
		"title"   => __( 'Minimum Square Feet', 'displet_textdomain' ),
		"desc"    => __( 'The square foot floor', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "500",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_max_square_feet",
		"title"   => __( 'Maximum Square Feet', 'displet_textdomain' ),
		"desc"    => __( 'The square foot ceiling', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "5000",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_square_feet_increment",
		"title"   => __( 'Square Feet Increment', 'displet_textdomain' ),
		"desc"    => __( 'The increment the square footage should count by', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "500",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_min_acres",
		"title"   => __( 'Minimum Acres', 'displet_textdomain' ),
		"desc"    => __( 'The acres floor', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => ".25",
		"idx"     => true,
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_max_acres",
		"title"   => __( 'Maximum Acres', 'displet_textdomain' ),
		"desc"    => __( 'The acres ceiling', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => "5",
		"idx"     => true,
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "search-values",
		"id"      => "search_values_acres_increment",
		"title"   => __( 'Acres Increment', 'displet_textdomain' ),
		"desc"    => __( 'The increment the acreage should count by', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => ".25",
		"idx"     => true,
		"class"   => "numeric"
	);

	// Registration Settings section
	$options[] = array(
		"section" => "registration-settings",
		"id"      => "registration_type",
		"title"   => __( 'Registration Type', 'displet_textdomain' ),
		"desc"    => __( 'Hard Prompt: the registration window may not be closed. Soft Prompt: the registration window may be closed, but will continue to launch on each property view until login/registration. Back Prompt: the registration window may be closed but returns to the previous page instead of revealing the content underneath.', 'displet_textdomain' ),
		"type"    => "select2",
		"choices" => array( __('Hard Prompt (Default)','displet_textdomain') . "|hard", __('Soft Prompt','displet_textdomain') . "|soft", __('Back Prompt','displet_textdomain') . "|back")
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "require_registration_to_view_properties",
		"title"   => __( 'Prompt From Property Details Page', 'displet_textdomain' ),
		"desc"    => __( 'Check to have the registration window prompt on the property details page.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "allowed_public_views",
		"title"   => __( 'Registration Required After __ Property Views', 'displet_textdomain' ),
		"desc"    => __( 'Prompt the visitor to register after viewing details of __ properties. Enter 1 to force registration on the first property view (highly recommended).', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('0','displet_textdomain'),
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "require_registration_to_search",
		"title"   => __( 'Prompt From Search Results Page', 'displet_textdomain' ),
		"desc"    => __( 'Check to have the registration window prompt on the search results page.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "allowed_public_searches",
		"title"   => __( 'Registration Required After __ Property Searches', 'displet_textdomain' ),
		"desc"    => __( 'Prompt the visitor to register after searching __ times. Enter 1 to force registration on the first search.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('0','displet_textdomain'),
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "exclude_referred_visitors",
		"title"   => __( 'Exclude Referred Visitors', 'displet_textdomain' ),
		"desc"    => __( 'Registration window only launches if referred from ' . home_url(), 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1
	);

	$options[] = array(
		"section" => "registration-settings",
		"id"      => "allow_sitewide_registration",
		"title"   => __( 'Allow Sitewide Registration Prompts', 'displet_textdomain' ),
		"desc"    => __( 'Add the title "Login To View Listings" without quotes to any link to make it a registration prompt link. Other permitted titles: "Sign Up To View Listings", "Login To View Unlimited Listings", "Sign Up To View Unlimited Listings", "Login To Save Listings", "Sign Up To Save Listings", "Login To Save Searches" and "Sign Up To Save Searches"', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	// Registration Form section
	$options[] = array(
		"section" => "registration-form",
		"id"      => "require_phone",
		"title"   => __( 'Require Phone Number', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "registration-form",
		"id"      => "include_working_with_realtor",
		"title"   => __( 'Include Working With Realtor', 'displet_textdomain' ),
		"desc"    => __( 'Check to include an additional field on the registration form which says, "Are you working with a Realtor?"', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "registration-form",
		"id"      => "require_working_with_realtor",
		"title"   => __( 'Require Working With Realtor', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "registration-form",
		"id"      => "registration_title",
		"title"   => __( 'Title', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "registration-form",
		"id"      => "registration_message",
		"title"   => __( 'Message', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "textarea"
	);

	$options[] = array(
		"section" => "registration-form",
		"id"      => "registration_disclaimer",
		"title"   => __( 'Disclaimer', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "textarea"
	);

	// Login Form section
	$options[] = array(
		"section" => "login-form",
		"id"      => "login_without_password",
		"title"   => __( 'Login Without Password', 'displet_textdomain' ),
		"desc"    => __( 'Check to allow RE Search Users to login without a password.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 1
	);

	// Listings Format section
	$options[] = array(
		"section" => "listings-format",
		"id"      => "address_format",
		"title"   => __( 'Address Format', 'displet_textdomain' ),
		"desc"    => __( 'How should addresses be formatted sitewide? Available data: %%street_number%%, %%street_name%%, %%street_pre_direction%%, %%street_post_direction%%, %%unit%% - Ex. %%street_number%% %%street_pre_direction%% %%street_name%% %%street_post_direction%% #%%unit%% = 1234 N Main St #301', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('%%street_number%% %%street_pre_direction%% %%street_name%% %%street_post_direction%% #%%unit%%','displet_textdomain')
	);

	// Property Filter section
	$options[] = array(
		"section" => "property-filter",
		"id"      => "property_type_include_filter",
		"title"   => __( 'Property Types', 'displet_textdomain' ),
		"desc"    => __( 'Includes listings only from the selected property type(s). Leave all unchecked to include all property types.', 'displet_textdomain' ),
		"type"    => "multi-checkbox",
		//"std"	  => "",
		"idx"     => true,
		"choices" => $property_types_array
	);

	$options[] = array(
		"section" => "property-filter",
		"id"      => "zip_code_include_filter",
		"title"   => __( 'Zip Code Include', 'displet_textdomain' ),
		"desc"    => __( 'Enter one per line. Includes listings only from these zip codes. Leave blank to include all zip codes.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain'),
		"idx"     => true,
	);

	$options[] = array(
		"section" => "property-filter",
		"id"      => "city_include_filter",
		"title"   => __( 'City Include', 'displet_textdomain' ),
		"desc"    => __( 'Includes listings only from the selected cities. Leave all unchecked to include all cities.', 'displet_textdomain' ),
		"type"    => "multi-checkbox",
		//"std"	  => "",
		"idx"     => true,
		"choices" => $cities_array
	);

	$options[] = array(
		"section" => "property-filter",
		"id"      => "min_price_filter",
		"title"   => __( 'Minimum Price', 'displet_textdomain' ),
		"desc"    => __( 'Enter the minimum price (in thousands). Ex. 100 = $100,000. Excludes listings that are less expensive. Leave blank to not have a minimum price.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"idx"     => true,
	);

	$options[] = array(
		"section" => "property-filter",
		"id"      => "max_price_filter",
		"title"   => __( 'Maximum Price', 'displet_textdomain' ),
		"desc"    => __( 'Enter the maximum price (in thousands). Ex. 1000 = $1,000,000. Excludes listings that are more expensive. Leave blank to not have a maximum price.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"idx"     => true,
	);

	// Social Logins section
	$options[] = array(
		"section" => "social-logins",
		"id"      => "facebook_app_id",
		"title"   => __( 'Facebook App ID', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "nohtml",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/login-with-facebook/"
	);

	$options[] = array(
		"section" => "social-logins",
		"id"      => "google_client_id",
		"title"   => __( 'Google Client ID', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "nohtml",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/login-with-google/"
	);

	$options[] = array(
		"section" => "social-logins",
		"id"      => "google_client_secret",
		"title"   => __( 'Google Client Secret', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "nohtml",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/login-with-google/"
	);

	$options[] = array(
		"section" => "social-logins",
		"id"      => "google_api_key",
		"title"   => __( 'Google API Key', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "nohtml",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/login-with-google/"
	);

	// CRM section
	$options[] = array(
		"section" => "crm",
		"id"      => "zapier_registration_url",
		"title"   => __( 'Zapier Webhook URL(s) - User Registration', 'displet_textdomain' ),
		"desc"    => __( 'Enter one URL per line. Multiple entries for multiple zaps.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain'),
		"class"   => "",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/zapier-integration/"
	);

	$options[] = array(
		"section" => "crm",
		"id"      => "zapier_showing_url",
		"title"   => __( 'Zapier Webhook URL(s) - Property Showing Request', 'displet_textdomain' ),
		"desc"    => __( 'Enter one URL per line. Multiple entries for multiple zaps.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => __('','displet_textdomain'),
		"class"   => "",
		"link"    => "Help",
		"link_url"=> "http://displet.com/wiki/zapier-integration/"
	);

	// Mobile section
	$options[] = array(
		"section" => "mobile",
		"id"      => "mobile_version",
		"title"   => __( 'Mobile RETS/IDX Search', 'displet_textdomain' ),
		"desc"    => __( 'Check to prompt visitors on mobile devices to be redirected to the mobile-specific RETS/IDX search', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "mobile",
		"id"      => "mobile_header_title",
		"title"   => __( 'Mobile RETS/IDX Header - Title', 'displet_textdomain' ),
		"desc"    => __( 'If the above setting is enabled, enter the title to be displayed in the header of the mobile-specific RETS/IDX pages.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => 0,
		"class"	  => "nohtml"
	);

	$options[] = array(
		"section" => "mobile",
		"id"      => "mobile_header_text",
		"title"   => __( 'Mobile RETS/IDX Header - Text', 'displet_textdomain' ),
		"desc"    => __( 'If Mobile RETS/IDX Search is enabled above, enter any text to be displayed in the header of the mobile-specific RETS/IDX pages.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => 0,
	);

	$options[] = array(
		"section" => "mobile",
		"id"      => "mobile_footer",
		"title"   => __( 'Mobile RETS/IDX Footer', 'displet_textdomain' ),
		"desc"    => __( 'If Mobile RETS/IDX Search is enabled above, enter any information here to be displayed in the header of the mobile-specific RETS/IDX pages.', 'displet_textdomain' ),
		"type"    => "textarea",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "mobile",
		"id"      => "mobile_email",
		"title"   => __( 'Mobile RETS/IDX Contact Page - Email', 'displet_textdomain' ),
		"desc"    => __( 'If Mobile RETS/IDX Search is enabled above, enter the email address to be displayed on the mobile-specific contact pages.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => 0,
		"class"	  => "email"
	);

	// Miscellaneous section
	$options[] = array(
		"section" => "misc",
		"id"      => "disable_custom_templates",
		"title"   => __( 'Disable Custom Templates', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "misc",
		"id"      => "no_index_no_follow_search_results_page",
		"title"   => __( 'Noindex, Nofollow Search Results Page', 'displet_textdomain' ),
		"desc"    => __( 'Check to add a meta tag that encourages search engines not to index the content on your Search Results page.', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "misc",
		"id"      => "map_variance",
		"title"   => __( 'Max Latitudinal/Longitudinal Variance', 'displet_textdomain' ),
		"desc"    => __( 'Degrees from the average latitude and longitude that a map marker may be plotted.', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('2','displet_textdomain'),
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "misc",
		"id"      => "no_link",
		"title"   => __( 'Plain Text Citation', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "checkbox",
		//"std"     => 0
	);

	$options[] = array(
		"section" => "misc",
		"id"      => "results_limit",
		"title"   => __( 'Limit Results to ____ Listings', 'displet_textdomain' ),
		"desc"    => __( 'How many listings per search may the user view? Leave blank to allow the user to view all results (recommended unless required otherwise by your MLS).', 'displet_textdomain' ),
		"type"    => "text",
		//"std"     => __('','displet_textdomain'),
		"class"   => "numeric",
		"idx"	  => true
	);

	$options[] = array(
		"section" => "misc",
		"id"      => "board_translations",
		"title"   => __( 'Agent/Office Name Translations', 'displet_textdomain' ),
		"desc"    => __( '', 'displet_textdomain' ),
		"type"    => "select2",
		"choices" => array( __('None','displet_textdomain') . "|none", __('GAMLS','displet_textdomain') . "|gamls", __('NNEREN','displet_textdomain') . "|nneren"),
		//"std"     => __('','displet_textdomain'),
		"idx"	  => true
	);

	/* Available option types
	// Text Form Fields section
	$options[] = array(
		"section" => "txt_section",
		"id"      => "txt_input",
		"title"   => __( 'Text Input - Some HTML OK!', 'displet_textdomain' ),
		"desc"    => __( 'A regular text input field. Some inline HTML (&lt;a&gt;, &lt;b&gt;, &lt;em&gt;, &lt;i&gt;, &lt;strong&gt;) is allowed.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => __('Some default value','displet_textdomain')
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "nohtml_txt_input",
		"title"   => __( 'No HTML!', 'displet_textdomain' ),
		"desc"    => __( 'A text input field where no html input is allowed.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => __('Some default value','displet_textdomain'),
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "numeric_txt_input",
		"title"   => __( 'Numeric Input', 'displet_textdomain' ),
		"desc"    => __( 'A text input field where only numeric input is allowed.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => "123",
		"class"   => "numeric"
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "multinumeric_txt_input",
		"title"   => __( 'Multinumeric Input', 'displet_textdomain' ),
		"desc"    => __( 'A text input field where only multible numeric input (i.e. comma separated numeric values) is allowed.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => "123,234,345",
		"class"   => "multinumeric"
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "url_txt_input",
		"title"   => __( 'URL Input', 'displet_textdomain' ),
		"desc"    => __( 'A text input field which can be used for urls.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => "http://wp.tutsplus.com",
		"class"   => "url"
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "email_txt_input",
		"title"   => __( 'Email Input', 'displet_textdomain' ),
		"desc"    => __( 'A text input field which can be used for email input.', 'displet_textdomain' ),
		"type"    => "text",
		"std"     => "email@email.com",
		"class"   => "email"
	);

	$options[] = array(
		"section" => "txt_section",
		"id"      => "multi_txt_input",
		"title"   => __( 'Multi-Text Inputs', 'displet_textdomain' ),
		"desc"    => __( 'A group of text input fields', 'displet_textdomain' ),
		"type"    => "multi-text",
		"choices" => array( __('Text input 1','displet_textdomain') . "|txt_input1", __('Text input 2','displet_textdomain') . "|txt_input2", __('Text input 3','displet_textdomain') . "|txt_input3", __('Text input 4','displet_textdomain') . "|txt_input4"),
		"std"     => ""
	);

	// Textarea Form Fields section
	$options[] = array(
		"section" => "txtarea_section",
		"id"      => "txtarea_input",
		"title"   => __( 'Textarea - HTML OK!', 'displet_textdomain' ),
		"desc"    => __( 'A textarea for a block of text. HTML tags allowed!', 'displet_textdomain' ),
		"type"    => "textarea",
		"std"     => __('Some default value','displet_textdomain')
	);

	$options[] = array(
		"section" => "txtarea_section",
		"id"      => "nohtml_txtarea_input",
		"title"   => __( 'No HTML!', 'displet_textdomain' ),
		"desc"    => __( 'A textarea for a block of text. No HTML!', 'displet_textdomain' ),
		"type"    => "textarea",
		"std"     => __('Some default value','displet_textdomain'),
		"class"   => "nohtml"
	);

	$options[] = array(
		"section" => "txtarea_section",
		"id"      => "allowlinebreaks_txtarea_input",
		"title"   => __( 'No HTML! Line breaks OK!', 'displet_textdomain' ),
		"desc"    => __( 'No HTML! Line breaks allowed!', 'displet_textdomain' ),
		"type"    => "textarea",
		"std"     => __('Some default value','displet_textdomain'),
		"class"   => "allowlinebreaks"
	);

	$options[] = array(
		"section" => "txtarea_section",
		"id"      => "inlinehtml_txtarea_input",
		"title"   => __( 'Some Inline HTML ONLY!', 'displet_textdomain' ),
		"desc"    => __( 'A textarea for a block of text.
		Only some inline HTML
		(&lt;a&gt;, &lt;b&gt;, &lt;em&gt;, &lt;strong&gt;, &lt;abbr&gt;, &lt;acronym&gt;, &lt;blockquote&gt;, &lt;cite&gt;, &lt;code&gt;, &lt;del&gt;, &lt;q&gt;, &lt;strike&gt;)
		is allowed!', 'displet_textdomain' ),
		"type"    => "textarea",
		"std"     => __('Some default value','displet_textdomain'),
		"class"   => "inlinehtml"
	);

	// Select Form Fields section
	$options[] = array(
		"section" => "select_section",
		"id"      => "select_input",
		"title"   => __( 'Select (type one)', 'displet_textdomain' ),
		"desc"    => __( 'A regular select form field', 'displet_textdomain' ),
		"type"    => "select",
		"std"    => "3",
		"choices" => array( "1", "2", "3")
	);

	$options[] = array(
		"section" => "select_section",
		"id"      => "select2_input",
		"title"   => __( 'Select (type two)', 'displet_textdomain' ),
		"desc"    => __( 'A select field with a label for the option and a corresponding value.', 'displet_textdomain' ),
		"type"    => "select2",
		"std"    => "",
		"choices" => array( __('Option 1','displet_textdomain') . "|opt1", __('Option 2','displet_textdomain') . "|opt2", __('Option 3','displet_textdomain') . "|opt3", __('Option 4','displet_textdomain') . "|opt4")
	);

	// Checkbox Form Fields section
	$options[] = array(
		"section" => "checkbox_section",
		"id"      => "checkbox_input",
		"title"   => __( 'Checkbox', 'displet_textdomain' ),
		"desc"    => __( 'Some Description', 'displet_textdomain' ),
		"type"    => "checkbox",
		"std"     => 1 // 0 for off
	);

	$options[] = array(
		"section" => "checkbox_section",
		"id"      => "multicheckbox_inputs",
		"title"   => __( 'Multi-Checkbox', 'displet_textdomain' ),
		"desc"    => __( 'Some Description', 'displet_textdomain' ),
		"type"    => "multi-checkbox",
		"std"     => '',
		"choices" => array( __('Checkbox 1','displet_textdomain') . "|chckbx1", __('Checkbox 2','displet_textdomain') . "|chckbx2", __('Checkbox 3','displet_textdomain') . "|chckbx3", __('Checkbox 4','displet_textdomain') . "|chckbx4")
	);
	*/

	return $options;
}

/**
 * Contextual Help
 */
function displetretsidx_option_page_contextual_help() {

	$text 	= "<h3>" . __('displet Settings - Contextual Help','displet_textdomain') . "</h3>";
	$text 	.= "<p>" . __('Contextual help goes here. You may want to use different html elements to format your text as you want.','displet_textdomain') . "</p>";

	// must return text! NOT echo
	return $text;
}

?>